#ifndef BRICKS_HPP_
#define BRICKS_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>

class Bricks : public SpriteBlock
{
private:
    static std::vector<Sprite> makeSprites(std::string texName);

public:
    Bricks(std::string name, std::string displayName, float hardness, std::string texName);

    virtual void onPlaced(LocalWorld &world, Chunk &chunk, glm::ivec3 pos) override;
    virtual void onNeighborUpdated(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual bool isFullyOpaque() override;
    virtual void onDesignerInitializing(BlockSpriteDesigner &designer, ScriptEngine &engine) override;
};

#endif